.inputMain {
  height: 78px;
  display: flex;
  flex-direction: column;
  align-content: center;
  justify-content: flex-start;
  direction: ltr;
}
.inputMain::placeholder {
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  text-align: left;
  color: #d9d9d9;
}
.ant-input-number {
  color: #1f1f1f;
}
.ant-input-number::placeholder {
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  text-align: left;
  color: #d9d9d9;
}
.ant-input-number-disabled {
  background-color: #f5f5f5;
  color: #d9d9d9;
}
.ant-input-number-input:placeholder-shown {
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  text-align: right;
  color: #d9d9d9;
}
.myInputLeft {
  direction: ltr !important;
  text-align: left !important;
}
.myInputLeft::placeholder {
  text-align: left !important ;
}
.myInputRight {
  text-align: left !important;
}
.myInputRight::placeholder {
  text-align: left !important ;
  direction: ltr !important;
}

.adm-input-element {
  text-align: left !important ;
  direction: ltr !important;
}
.adm-input-element::placeholder {
  text-align: left !important ;
  direction: ltr !important;
}
.myInput {
  width: 100% !important;
  /*border-radius: 12px;*/
  background: white;
  border: 1px solid #c4c4c4;
  height: 50px;
  min-height: 50px;
  position: relative;
  font-style: normal;
  font-weight: 600;
  font-size: 15px;
  text-align: right;
  color: #1f1f1f;
  padding: 0 10px;
  font-family: "iranyekan", "DroidArabicNaskhRegular", serif !important;
}
.myInput:disabled {
  background-color: #f5f5f5;
  color: #d9d9d9;
}
.myInput:hover {
  opacity: 1;
  color: #000;
}
.myInput::placeholder {
  font-style: normal;
  font-weight: 500;
  font-size: 14px;
  color: #9d9d9d;
  font-family: "iranyekan", "DroidArabicNaskhRegular", serif !important;
}
.myInput::-webkit-input-placeholder {
}
.myInput:focus {
  outline: none !important;
  border-color: #719ece;
  box-shadow: 0 0 6px #719ece;
}

.ant-input-number-input-wrap {
  height: 100%;
}
.ant-input-number-input {
  height: 100%;
}

.subtext {
  align-items: center;
  height: 18px;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  text-align: right;
  line-height: 18px;
  color: #989898;
  pointer-events: none;
  cursor: default;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
}
.subtext::selection {
  pointer-events: none;
  background-color: Transparent;
  color: #989898;
}

.topplaceholder {
  display: flex;
  width: fit-content;
  align-items: center;
  height: 18px;
  font-style: normal;
  font-weight: 400;
  font-size: 12px;
  text-align: right;
  line-height: 18px;
  color: #989898;
  pointer-events: none;
  cursor: default;
  margin-bottom: -10px;
  position: relative;
  padding: 10px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  letter-spacing: 0;
  align-self: flex-start;
  margin-right: 10px;
}
.topplaceholder::selection {
  pointer-events: none;
  background-color: Transparent;
  color: #989898;
}

.topplaceholderback {
  height: 13px;
  background-color: white;
  width: 89%;
  position: absolute;
  z-index: 9;
  top: 4px;
  border-radius: 30px;
}
.topplaceholdertext {
  width: max-content;
  height: 1px;
  margin-bottom: 17px;
  margin-left: 15px;
  z-index: 10;
}
